import React, { memo } from 'react';
import { View } from '@ray-js/ray';
import { useProps } from '@ray-js/panel-sdk';

import styles from './index.module.less';
import RGB from './components/RGB/index';

const Light = props => {
  const workMode = useProps(props => props.work_mode);

  return (
    <View className={styles.light}>
      <RGB />
    </View>
  );
};

export default memo(Light);
